Skip to main content

Authentication

The Vehicle Data API uses OAuth 2.0-based token authentication. To use the API for retrieving your vehicle data, issue an access token based on your My Vehicle API key credentials and include the token in the Authorization header of all subsequent requests.

Authorization: Bearer <access_token>

STEP 1. Check Your My Vehicle API Key​

Private Users use a different menu from Business Users to check their API key. On the My Vehicle Data API screen in Pleos Playground, check the Client ID and Client Secret.

For information about issuing, reissuing, and revoking your My Vehicle API key, see Request My Vehicle API Key and Manage My Vehicle API Key.

danger

The Client ID and Client Secret are required to issue an access token. Do not expose them to others.

STEP 2. Request an Access Token​

Call Create Access Token to issue an access token.

curl
curl -X POST "https://api.pleos.ai/v1/auth/personal-token" \
-H "Content-Type: application/json" \
-H "Brand: hyundai" \
-d '{
"clientId": "<YOUR_CLIENT_ID>",
"clientSecret": "<YOUR_CLIENT_SECRET>"
}'
  • clientId: Client ID of the My Vehicle API key issued by Pleos
  • clientSecret: Client Secret of the My Vehicle API key issued by Pleos
caution

When an access token expires, call Create Access Token again to issue a new one.